#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

vector<int> part(vector<int>& a, int val) {
    vector<int> less, gr;
    for (auto& x : a) {
        if (x < val) {
            less.push_back(x);
        } else if (x > val) {
            gr.push_back(x);
        }
    }
    less.push_back(val);
    for (auto& i : gr) {
        less.push_back(i);
    }
    return less;
}

long long invs(vector<int>& a) {
    long long ans = 0;
    for (int i = 0; i < a.size(); i++) {
        for (int j = i + 1; j < a.size(); j++) {
             if (a[i] > a[j]) {
                 ++ans;
             }
        }
    }
    return ans;
}

int main() {
#ifdef DEBUG
    freopen("input", "r", stdin);
#endif
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n;
    cin >> n;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    long long best = invs(a);
    for (int i = 0; i < n; i++) {
        auto b = part(a, a[i]);
        best = min(best, invs(b));
    }

    cout << best << endl;

    return 0;
}
