#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

int MAXN = 2000, MAXQ = 1000000;

int main(int argc, char* argv[]) {
	registerValidation(argc, argv);

	if (validator.group() == "1") {
		MAXN = 100, MAXQ = 10000;
	}

	int n = inf.readInt(1, MAXN, "n");
	inf.readSpace();
	int m = inf.readInt(1, MAXN, "m");
	inf.readSpace();
	int q = inf.readInt(1, MAXQ, "q");
	inf.readEoln();

	vector<vector<int>> field(n, vector<int>(m));

	bool fl = true;
	for (int i = 0; i < q; ++i) {
		string s = inf.readToken("[cdulr]{1}");
		if (validator.group() == "2") {
			if (s != "c") {
				fl = false;
			} else {
				ensuref(fl, "group 2, all 'c' requests should be before all other requests");
			}
		}
		inf.readSpace();
		int x = inf.readInt(1, n, "x") - 1;
		inf.readSpace();
		int y = inf.readInt(1, m, "y") - 1;
		inf.readEoln();

		if (s == "c") {
			ensuref(field[x][y] == 0, "cell may be colored only once");
			field[x][y] = 1;
		}
	}

	inf.readEof();

	return 0;
}