#ifdef LOCAL
#  define _GLIBCXX_DEBUG
#else
#  define cerr __get_ce
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
mt19937 tw(9450189);
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }

int dx[4] = {1, 0, -1, 0};
int dy[4] = {0, 1, 0, -1};

void solve() {
	int n, m, q;
	cin >> n >> m >> q;
	vector<vector<vector<pii>>> go(4, vector<vector<pii>>(n, vector<pii>(m)));

	for (int i = 0; i < 4; ++i) {
		for (int j = 0; j < n; ++j) {
			for (int k = 0; k < m; ++k) {
				go[i][j][k] = {j + dx[i], k + dy[i]};
			}
		}
	}

	vector<vector<int>> field(n, vector<int>(m));

	for (int i = 0; i < q; ++i) {
		char c;
		cin >> c;
		int x, y;
		cin >> x >> y;
		--x; --y;
		if (c == 'c') {
			field[x][y] = 1;
		} else {
			int dir = -1;
			if (c == 'd') {
				dir = 0;
			} else if (c == 'r') {
				dir = 1;
			} else if (c == 'u') {
				dir = 2;
			} else if (c == 'l') {
				dir = 3;
			} else {
				assert(false);
			}

			x += dx[dir];
			y += dy[dir];
			int memx = x, memy = y;
			while (0 <= x && x < n && 0 <= y && y < m && field[x][y]) {
				tie(x, y) = go[dir][x][y];
			}

			int resx = x, resy = y;
			x = memx, y = memy;
			while (0 <= x && x < n && 0 <= y && y < m && field[x][y]) {
				auto tmp = go[dir][x][y];
				go[dir][x][y] = {resx, resy};
				tie(x, y) = tmp;
			}

			if (0 <= resx && resx < n && 0 <= resy && resy < m) {
				cout << resx + 1 << " " << resy + 1 << "\n";
			} else {
				cout << "-1\n";
			}
		}
	}
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
