#ifdef LOCAL
#  define _GLIBCXX_DEBUG
#else
#  define cerr __get_ce
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
mt19937 tw(9450189);
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }


void solve() {
	int n, m, q;
	cin >> n >> m >> q;
	int bpv_hor = 1, bpv_ver = 1;
	while (bpv_hor < m) {
		bpv_hor *= 2;
	}
	while (bpv_ver < n) {
		bpv_ver *= 2;
	}
	vector<vector<int>> rmq_hor(n, vector<int>(bpv_hor * 2));
	vector<vector<int>> rmq_ver(m, vector<int>(bpv_ver * 2));

	function<void(vector<int>&, int, int)> rmq_set = [&](vector<int>& rmq, int pos, int val) {
		pos += szof(rmq) / 2;
		rmq[pos] = val;
		pos /= 2;
		while (pos) {
			rmq[pos] = min(rmq[pos * 2], rmq[pos * 2 + 1]);
			pos /= 2;
		}
	};

	function<int(vector<int>&, int, int, int, int, int)> rmq_get = [&](vector<int>& rmq, int v, int vl, int vr, int l, int r) {
		if (vr <= l || r <= vl) {
			return INF;
		}
		if (l <= vl && vr <= r) {
			return rmq[v];
		}
		int vm = (vl + vr) / 2;
		return min(rmq_get(rmq, v * 2, vl, vm, l, r), rmq_get(rmq, v * 2 + 1, vm, vr, l, r));
	};

	for (int i = 0; i < q; ++i) {
		char c;
		int x, y;
		cin >> c >> x >> y;
		--x; --y;
		if (c == 'c') {
			rmq_set(rmq_hor[x], y, 1);
			rmq_set(rmq_ver[y], x, 1);
		} else if (c == 'd') {
			int l = x, r = n;
			while (r - l > 1) {
				int mid = (l + r) / 2;
				if (rmq_get(rmq_ver[y], 1, 0, bpv_ver, x + 1, mid + 1) == 0) {
					r = mid;
				} else {
					l = mid;
				}
			}
			if (r == n) {
				cout << "-1\n";
			} else {
				cout << r + 1 << " " << y + 1 << "\n";
			}
		} else if (c == 'u') {
			int l = -1, r = x;
			while (r - l > 1) {
				int mid = (l + r) / 2;
				if (rmq_get(rmq_ver[y], 1, 0, bpv_ver, mid, x) == 0) {
					l = mid;
				} else {
					r = mid;
				}
			}
			if (l == -1) {
				cout << "-1\n";
			} else {
				cout << l + 1 << " " << y + 1 << "\n";
			}
		} else if (c == 'r') {
			int l = y, r = m;
			while (r - l > 1) {
				int mid = (l + r) / 2;
				if (rmq_get(rmq_hor[x], 1, 0, bpv_hor, y + 1, mid + 1) == 0) {
					r = mid;
				} else {
					l = mid;
				}
			}
			if (r == m) {
				cout << "-1\n";
			} else {
				cout << x + 1 << " " << r + 1 << "\n";
			}
		} else if (c == 'l') {
			int l = -1, r = y;
			while (r - l > 1) {
				int mid = (l + r) / 2;
				if (rmq_get(rmq_hor[x], 1, 0, bpv_hor, mid, y) == 0) {
					l = mid;
				} else {
					r = mid;
				}
			}
			if (l == -1) {
				cout << "-1\n";
			} else {
				cout << x + 1 << " " << l + 1 << "\n";
			}
		}
	}
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
